<f:section name="tabLinks">
    <li role="presentation" class="t3js-tabmenu-item ">
        <a href="#DTM-67217d8b401cf5e72bbf5103d60f3e98-selfcheck" title="" aria-controls="DTM-67217d8b401cf5e72bbf5103d60f3e98-selfcheck" role="tab" data-bs-toggle="tab" aria-selected="false">
            Selbsttests
        </a>
    </li>
</f:section>

<f:section name="tabContents">
    <div role="tabpanel" class="tab-pane" id="DTM-67217d8b401cf5e72bbf5103d60f3e98-selfcheck">
        <div class="panel panel-tab">
            <div class="panel-body">
                <f:render section="extensions" arguments="{_all}"/>
            </div>
        </div>
    </div>
</f:section>

<f:section name="extensions">
    <h2>Version</h2>

    <f:be.infobox title="Standard Erweiterungen" state="-1">
        <p>
            Es ist das DRK Template in Version <strong>{supportData.packages.drk_template.packageMetaData.version}</strong> installiert.
        </p>
    </f:be.infobox>

    <h2>Extensions</h2>

    <f:be.infobox title="Standard Erweiterungen" state="-1">
        <p>
            Es sind {supportData.packages -> f:count()} Erweiterungen installiert
        </p>
    </f:be.infobox>

    <f:if condition="{supportData.additionalPackages}">
        <f:be.infobox state="1" title="Zusätzliche Erweiterungen">
            <p>
                Zusätzliche Erweiterungen können Probleme bei Updates verursachen.
                Bitte stellen Sie vor einem Update sicher, dass die Erweiterungen von den Musterseiten unterstützt
                werden.
            </p>
            <p>
                Es sind {supportData.additionalPackages -> f:count()} zusätzliche Erweiterungen installiert.
            </p>
            <ul>
                <f:for each="{supportData.additionalPackages}" as="package">
                    <li>{package.valueFromComposerManifest.name} ({package.packageMetaData.version})</li>
                </f:for>
            </ul>
        </f:be.infobox>
    </f:if>

    <h2>
        Sys_Template
    </h2>

    <f:if condition="!{supportData.tables.sys_template}">
        <f:then>
            <f:be.infobox title="Templates erfolgreich geprüft" state="0">
                Die Templates scheinen die Anforderungen zu erfüllen.
            </f:be.infobox>
        </f:then>
        <f:else>
            <f:for each="{supportData.tables.sys_template}" as="template">
                <f:be.infobox title="Template (pid: {template.row.pid}, uid: {template.row.uid}) nicht erfolgreich geprüft - {template.error}" state="1">

                    <details>
                        <summary>TypoScript anzeigen</summary>
                        <blockquote><pre><code>{template.row.config}</code></pre></blockquote>
                    </details>


                    Lösungen

                    <f:for each="{template.solutions}" as="solution">
                        <ul>
                            <li>
                                {solution.summary}
                                <f:if condition="{solution.url}">
                                    <a href="{solution.url}" class="btn btn-sm btn-warning" target="_blank">mehr</a>
                                </f:if>
                            </li>
                        </ul>
                    </f:for>

                </f:be.infobox>
            </f:for>
        </f:else>
    </f:if>

</f:section>
